import { Router } from 'express';
import { index, show } from './allGameTransaction.controller';
import { authenticateToken } from '../../middleware/jwt';

const allGameTransactionRouter = Router();

// Route to get all transactions (with optional pagination/search)
allGameTransactionRouter.get('/', authenticateToken, index);

// Route to get a single transaction by ID
allGameTransactionRouter.get('/show/:id', show);

export default allGameTransactionRouter;
